Module | Sequel::Plugins::AssociationDependencies::InstanceMethods
In: | lib/sequel/plugins/association_dependencies.rb

### Methods

after_destroy before_destroy

### Public Instance methods

after_destroy()

Run the delete and destroy association dependency actions for many_to_one associations.

[Source]

        # File lib/sequel/plugins/association_dependencies.rb, line 86
    86:         def after_destroy
    87:           super
    88:           model.association_dependencies[:after_delete].each{|m| send(m).delete}
    89:           model.association_dependencies[:after_destroy].each{|m| send(m).destroy}
    90:         end

before_destroy()

Run the delete, destroy, and nullify association dependency actions for *_to_many associations.

[Source]

        # File lib/sequel/plugins/association_dependencies.rb, line 94
    94:         def before_destroy
    95:           model.association_dependencies[:before_delete].each{|m| send(m).delete}
    96:           model.association_dependencies[:before_destroy].each{|m| send(m).destroy}
    97:           model.association_dependencies[:before_nullify].each{|p| instance_eval(&p)}
    98:           super
    99:         end

[Validate]